<?php

function listdirs($dir) 
{
    static $alldirs = array();
	
	//$alldirs[] =  '/' .$_SESSION['utilisateur']; 
	
    $dirs = glob($dir . '/*', GLOB_ONLYDIR);
    if (count($dirs) > 0) {
        foreach ($dirs as $d) $alldirs[] = $d;
    }
    foreach ($dirs as $dir) listdirs($dir);
    return $alldirs;
}

//$directory_list = listdirs($dir);
//print_r($directory_list);

?>